org.richfaces.fragment.tree

## Interface Tree.TreeNode.AdvancedTreeNodeInteractions

- All Superinterfaces:
    Tree.AdvancedTreeInteractions
  All Known Implementing Classes:
    RichFacesTreeNode.AdvancedNodeInteractionsImpl
  Enclosing interface:
    Tree.TreeNode

      public static interface Tree.TreeNode.AdvancedTreeNodeInteractions
      extends Tree.AdvancedTreeInteractions

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tree.TreeNode` | `collapse()` Collapses this node.
    `Tree.TreeNode` | `expand()` Expands this node.
    `org.openqa.selenium.WebElement` | `getContainerElement()`
    `org.openqa.selenium.WebElement` | `getHandleElement()`
    `org.openqa.selenium.WebElement` | `getHandleLoadingElement()`
    `org.openqa.selenium.WebElement` | `getIconElement()`
    `org.openqa.selenium.WebElement` | `getLabelElement()`
    `org.openqa.selenium.WebElement` | `getNodeInfoElement()`
    `boolean` | `isCollapsed()`
    `boolean` | `isExpanded()`
    `boolean` | `isLeaf()`
    `boolean` | `isSelected()`
    `Tree.TreeNode` | `select()` Selects this node.
    `WaitingWrapper` | `waitUntilNodeIsCollapsed()` Checks styleClasses of root, handle, and icon elements.
    `WaitingWrapper` | `waitUntilNodeIsExpanded()` Checks styleClasses of root, handle, and icon elements.
    `WaitingWrapper` | `waitUntilNodeIsNotSelected()`
    `WaitingWrapper` | `waitUntilNodeIsSelected()`

    - ### Methods inherited from interface org.richfaces.fragment.tree.Tree.AdvancedTreeInteractions

      `getFirstNode, getLeafNodes, getNodes, getNodesCollapsed, getNodesElements, getNodesExpanded, getRootElement, getSelectedNodes, setToggleByHandle, setToggleByHandle, setToggleNodeEvent, setToggleNodeEvent`

- - ### Method Detail

    - #### expand

          Tree.TreeNode expand()

      Expands this node.
      Returns:
        same node

    - #### collapse

          Tree.TreeNode collapse()

      Collapses this node.
      Returns:
        same node

    - #### getContainerElement

          org.openqa.selenium.WebElement getContainerElement()

      Returns:
        element which contains icon and label.

    - #### getHandleElement

          org.openqa.selenium.WebElement getHandleElement()

    - #### getHandleLoadingElement

          org.openqa.selenium.WebElement getHandleLoadingElement()

    - #### getIconElement

          org.openqa.selenium.WebElement getIconElement()

    - #### getLabelElement

          org.openqa.selenium.WebElement getLabelElement()

    - #### getNodeInfoElement

          org.openqa.selenium.WebElement getNodeInfoElement()

      Returns:
        the first child element of every node. Contains label, icon, handle.

    - #### isCollapsed

          boolean isCollapsed()

    - #### isExpanded

          boolean isExpanded()

    - #### isLeaf

          boolean isLeaf()

    - #### isSelected

          boolean isSelected()

    - #### select

          Tree.TreeNode select()

      Selects this node.
      Returns:
        same node

    - #### waitUntilNodeIsCollapsed

          WaitingWrapper waitUntilNodeIsCollapsed()

      Checks styleClasses of root, handle, and icon elements.
      Returns:
        WaitingWrapper

    - #### waitUntilNodeIsExpanded

          WaitingWrapper waitUntilNodeIsExpanded()

      Checks styleClasses of root, handle, and icon elements.
      Returns:
        WaitingWrapper

    - #### waitUntilNodeIsNotSelected

          WaitingWrapper waitUntilNodeIsNotSelected()

    - #### waitUntilNodeIsSelected

          WaitingWrapper waitUntilNodeIsSelected()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.